package com.hungraim.ltc.governance.controller;

import com.hungraim.ltc.governance.service.IBuildBedService;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author jiaguokai
 */
@RestController
@RequestMapping("/api.governance/buildBed")
@Slf4j
public class BuildBedController {
    @Resource
    private IBuildBedService buildBedService;

    @PostMapping("/searchOrgBed")
    public Result searchOrgBed(@RequestBody BuildBedSearchReq req) {
        return buildBedService.searchOrgBed(req);
    }

    @PostMapping("/addBuild")
    public Result buildBed(ChSrvBuildBed buildBed) {
        boolean b = buildBedService.save(buildBed);
        return Result.success(b);
    }
}
